Linux.中国 - 开源社区

 找回密码
 骑士注册

QQ登录

微博登录


Qt 5.4可选 LGPL v3 许可证

2014-8-20 22:35    评论: 8 分享: 7    

从5.4开始Qt将采用LGPL v2.1、LGPL v3和商业许可证授权,而新的附加模组将只在LGPL v3和商业许可证发布。

开发者称,20年前Qt开发公司Trolltech成立时,它的一个基本原则是将Qt作为自由软件提供给开源社区。

Qt 1.x源代码采用的仍然是有限制的许可证。Qt 2后源码授权许可证开始使用QPL。Qt 4.0发布时它拥抱了GPL v2,移除了GPL应用和QPL之间的许可证冲突。2009年,收购Trolltech后,诺基亚为Qt加入了 LGPL v2.1授权选项。但LGPL v2.1存在漏洞,没有澄清使用修改库的问题,这个漏洞被企业广泛利用开发锁定的设备。开发者认为,使用LGPL 2.1授权的修改版Qt去创建锁定设备伤害了Qt的生态系统。因为设备不对第三方公开,对生态系统没有任何贡献。 LGPL v2.1 没有保护用户的自由,自由软件基金会的 LGPL v3解决了这个问题。

发表评论


最新评论

我也要发表评论

游客 2014-8-23 01:44
接下来就看显卡厂商对OpenGL了
6 回复
李亮_狼骑士 2014-8-21 11:03  新浪微博网友评论
Repost
回复
游客 2014-8-21 02:20
直接AGPL不更好,绝对保证公开
回复
Librehat西麦翁 2014-8-20 23:33  新浪微博网友评论
Qt triumph!//@爱开源魅影: 大赞。。。这样下去GTK要危险了
回复
所谓落阙 2014-8-20 23:33  新浪微博网友评论
嗞嗞
回复
天知道的问题 2014-8-20 23:03  新浪微博网友评论
@forestgump
回复
loongsonlinux 2014-8-20 23:03  新浪微博网友评论
不是很懂,貌似V3版许可证会好点吧!
回复
爱开源魅影 2014-8-20 23:03  新浪微博网友评论
大赞。。。这样下去GTK要危险了
回复

热点评论

游客 2014-8-23 01:44
接下来就看显卡厂商对OpenGL了
6
返回顶部

分享到微信朋友圈

打开微信,点击底部的“发现”,
使用“扫一扫”将网页分享至朋友圈。